program test_weight

  ! Libraries:
  use nr_util, only: pi, deg_to_rad
  
  use derived_types, only: eddy
  use weight_m, only: weight

  implicit none

  type(eddy) e1, e2

  !---------------------------------------------------------------------

  e1%max_speed = 0.15
  e1%speed_cont%n_points = 4
  e1%speed_cont%area = pi * 5e4**2
  e1%coord_extr(2) = - 20. * deg_to_rad

  e2%max_speed = 0.1
  e2%speed_cont%n_points = 4
  e2%speed_cont%area = pi * 6e4**2
  e2%coord_extr(2) = - 25. * deg_to_rad
  
  print *, "weight = ", weight(e1, e2)
  
end program test_weight
