module unit_edge_m

  implicit none

  integer, protected:: unit_edge = - huge(0)
  ! logical unit numbers for file containing edge list

contains

  subroutine open_edge_file(rank)

    use jumble, only: new_unit

    integer, intent(in):: rank

    ! Local:
    character(len = 30) file

    !--------------------------------------------------------------

    call new_unit(unit_edge)
    write(unit = file, fmt = '("edgelist_", i0, ".csv")') rank
    open(unit_edge, file = trim(file), status = "replace", action  = "write")

  end subroutine open_edge_file
  
end module unit_edge_m
